Subject: Re: [PATCH 2/2] git-p4: Add copy detection support

From: Pete Wyckoff <[email-masked]>
Date: Sat, 12 Feb 2011 08:32:23 -0500

[email-masked] wrote on Sat, 12 Feb 2011 00:29 +0000:
> Originally the code always opened the files for editing just in case
> there was a patch to be applied late,r. This makes sense, because git
> can detect a rename (or copy) even if the files differ. But doing this
> would create an "unclean" integration in the revision graph. So, what
> I thought was "if we have available the SHA of the origin and
> destination files in diff-tree output why not compare them before
> opening the file for editing?" And that was the only purpose for this
> comparison.

I get what you are saying and it makes sense to fix this.  I
think you are on the right track, and I can't see the problem
in the code.

Side note:  p4 installations can make client SubmitOptions
have "revertunchanged" to avoid these annoying null integrations.

		-- Pete